function [ ret ] = metaregsel_swap( X, D, k )

    [n, p] = size(X);
    lmin_opt = 0;
    ret = zeros(n, 1);
    
    alphas = [0.2 0.4 0.6 0.8 1.0 1.2 1.4 1.6 1.8 2.0 2.5 3.0 3.5 4.0 5.0];
    
    for i = 1:length(alphas)
        alpha = alphas(i) * sqrt(p);
        fprintf('alpha = %f: ', alpha);
        [t_c0, lmin] = regsel_swap(X, D, k, alpha, p, 0);
        if (lmin > lmin_opt)
            lmin_opt = lmin;
            ret = t_c0;
        end
    end

end

