clear;
clc;

nTest = 1000;

% tau1 is the Linf ball radius, tau2 is the L1 ball radius
tau1 = 0.01;
tau2 = 1;

% n is the dimension
n = 200;

% groups is a dummy variable with all 1's
groups = ones(n,1);

runtime = zeros(nTest,1,'double');
projType = zeros(nTest, 1);

for i = 1 : nTest
    % generate random sample
    x = 20 * rand(n, 1);
    tic;
    [xProj_l1linf, projType(i)] = project_L1LInf(abs(x), tau1, tau2, groups);
    xProj_l1linf = sign(x).*xProj_l1linf;
    runtime(i) = toc;
end


